import 'package:build/build.dart';
import 'package:router_gen/generator/router_table_generator.dart';
import 'package:source_gen/source_gen.dart';
import 'generator/router_generator.dart';

Builder generateRouterProvider(BuilderOptions options) =>
    LibraryBuilder(RouterGenerator(), generatedExtension: ".aa.dart");

Builder generateRouterTableProvider(BuilderOptions options) =>
    LibraryBuilder(RouterTableGenerator(), generatedExtension: ".route.dart");
